use clap::{
    builder::{styling::Style, Styles},
    Parser,
    Subcommand,
};
use fuga::{color, command, AppResult};

const HEADER_STYLE: Style = Style::new().fg_color(Some(color::RED)).bold().underline();
const LITERAL_STYLE: Style = Style::new().fg_color(Some(color::PURPLE)).bold();

const STYLES: Styles = Styles::styled()
    .usage(HEADER_STYLE)
    .header(HEADER_STYLE)
    .literal(LITERAL_STYLE);

#[derive(Debug, Parser)]
#[command(styles = STYLES, version)]
struct Cli {
    #[command(subcommand)]
    command: Command,
}

#[derive(Debug, Subcommand)]
enum Command {}

fn main() -> AppResult<()> {
    fuga::logger::init()?;

    match Cli::parse().command {}
}
